Bug 1368421 - lock_revocation.t is causing netbsd runs to abort
Summary: lock_revocation.t is causing netbsd runs to abort
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: mainline
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-19 10:39 UTC by Atin Mukherjee
Modified: 2018-10-08 03:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-08 03:34:37 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Atin Mukherjee 2016-08-19 10:39:04 UTC
Description of problem:

Since last few days I have been observing netbsd runs getting aborted because of lock_revocation.t which gets hung.

One of many such instances:

https://build.gluster.org/job/netbsd7-regression/3/console


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Nigel Babu 2016-08-19 12:02:53 UTC
These are the failures where we hang at tests


FAILURE on http://build.gluster.org/job/netbsd7-regression/38/consoleText
nbslave7g.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/33/consoleText
nbslave7g.cloud.gluster.org
Running tests in file ./tests/basic/afr/granular-esh/add-brick.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/21/consoleText
nbslave7c.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/17/consoleText
nbslave7g.cloud.gluster.org
Running tests in file ./tests/basic/afr/split-brain-favorite-child-policy.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/13/consoleText
nbslave7j.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/12/consoleText
nbslave79.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/5/consoleText
nbslave74.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/4/consoleText
nbslave74.cloud.gluster.org
Running tests in file ./tests/basic/afr/add-brick-self-heal.t

FAILURE on http://build.gluster.org/job/netbsd7-regression/3/consoleText
nbslave7h.cloud.gluster.org
Running tests in file ./tests/features/lock_revocation.t

Comment 2 Amar Tumballi 2018-01-14 16:51:40 UTC
Reducing the priority to low as there is proposal to drop regressions on NetBSD.

Comment 3 Nigel Babu 2018-10-08 03:34:37 UTC
We dropped NetBSD support


Note You need to log in before you can comment on or make changes to this bug.